body {
    font-family: Arial, sans-serif;
    background-color: #eeeeee;
    margin: 0;
    padding: 0;
}
/************** CSS HOMEPAGE *************/
.HomePage{
    width: 100%;
    margin: 0;
    padding: 0px;
    display: flex;
    font-size: 14px;
    height: 90vh;
  }
/************** CSS MENU *************/
  
  .myNavbar {
    background-color: #575555e5;
    padding: 10px;
    display: none;
    position: relative;
    top: 0;
    left: 0;
    flex-direction: column;
    width:  280px;
    height: 230vh;
}

.myNavbar a:hover{
  background-color: #fff;
}
.myNavbar .button {
    position: absolute;
    top: 0;
    right: 0;
    color: #000;
    background-color: #fff;
    border: none;
    padding: 10px;
    cursor: pointer;
    width: 20px;
    display: block;
}
.HomePage .button {
    position: absolute;
    top: 0;
    background-color: #a3a0a086;
    border: none;
    width: 40px;
    padding: 10px;
    cursor: pointer;
    display: block;
}
.navbar-nav {
    float: right;
    list-style-type: none;
    margin: 0;
    padding: 0;
  }
  
  .navbar-nav li {
   margin: 10px;
  }
  .navbar-nav li a {
    display: block;
    font-size: 14px;
    color: #fff;
    font-weight: bold;
    text-align: center;
    padding: 14px 16px;
    text-decoration: none;
  }
  .navbar-nav li a:hover{
    color: #1a5f9b;
    font-weight: bold;
    border-bottom: 2px solid #1a5f9b;
    background-color: #c8dcee;
  }
  .navbar-nav li i{
    position: relative;
    float: left;
  }
  .navbar-nav .active{
    color: #000;
    background-color: #c8dcee;
    border-bottom: 2px solid #1a5f9b;
  
  }
  .logo{
    float: left; 
    margin-left: 5px;
    color: #333;
    font-size: 14px;
  }
  #navbarLister{
    margin-top: 10px;
  }
  /********** RESPONSIVITE DU MENU *********/
  @media screen and (min-width: 150px) and (max-width: 1200px){
    .myNavbar {
          width: 210px;
          position: absolute;
      }
  }
 /********** FIN CSS MENU **********/

 /************** CSS CONTAINER-PAGE *************/
 .container-page{
    margin: 30px;
    width: 100%;
 }
 .container-page h2{
    border-bottom: 1px solid #9e9393;
    font-size: 16px;
    color: #9e9393;
 }
 .container-page .content {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
    padding-left: 10px;
    padding-right: 10px;
}
  .container-page .content .card{
    border-radius: 8px;
    box-shadow: 0 0 20px rgba(0, 0, 0, 0.8);
    margin: 5px;
    width: 100%;
    max-width: 30%;
    padding-left: 10px;
    padding-right: 10px;
    background-color: #fff;
  }
  .container-page .content .card h4{
    font-size: 16px;
  }
  .container-page .content .card img{
    position: relative;
    text-align: center;
    width: 40px;
    float: right;
  }
  .container-page .content .card h5{
    font-size: 16px;
    margin: 5px;
    color: #888888;
    width: 80%;
    border-bottom: 1px solid #888888;
  }
  .container-page .content .card p{
    color: #c9c9c9;
    font-size: 14px;
  }

/************** MEDIA SCREEN CSS CONTAINER-PAGE *************/
@media screen and (min-width: 150px) and (max-width: 400px){
	.container-page .content .card h5{
    width: 70%;
  }
}
@media screen and (min-width: 150px) and (max-width: 690px){
	.container-page .content .card{
    margin: 5px;
    max-width: 350px;

  }
}
@media screen and (min-width: 690px) and (max-width: 1080px){
	.container-page .content .card{
    margin: 5px;
    max-width: 220px;

  }
}
/************** FIN CSS CONTAINER-PAGE *************/

/********** CSS DES FORMULAIRES **********/
.container {
    background-color: #fff;
    box-shadow: 0 0 40px rgba(0, 0, 0, 0.8);
    padding: 20px;
    justify-content: center;
    align-items: center;
    border-radius: 8px;
    margin-top: 150px;
    margin-left: 30%;
    width: 100%;
    max-width: 35%;
}
.container-page .content-form {
  display: flex;
  justify-content: space-around;
  padding-left: 10px;
  padding-right: 10px;
}
.container h2{
    color: #337ab7;
    text-align: center;
    font-size: 18px;
}
.form{
  background-color: #fff;
  box-shadow: 0 0 20px rgba(73, 72, 72, 0.8);
  padding: 10px;
}
.form h3{
  text-align: center;
  font-size: 15px;
  width: 99%;
  border: 1px solid #1a5f9b;
  padding: 5px;
  background-color: #1a5f9b;
  color: #fff;
  box-shadow: 0 0 20px #82c4ff;
}
.form-info{
  width: 40%;
  padding: 10px;
}
.form-group {
    margin-bottom: 15px;
}

label {
    display: block;
    margin-bottom: 5px;
    font-weight: bold;
}
.redpoint{
    color: red;
    font-weight: 1000;
}
input,
textarea,
select {
    width: 100%;
    padding: 8px;
    margin-bottom: 10px;
    box-sizing: border-box;
    border: 1px solid #ccc;
    border-radius: 4px;
}

.content-form {
  display: flex;
  justify-content: space-around;
  padding: 20px;
}
.content-form:nth-child(2) {
  margin-top: -10px; /* Rapproche le deuxième .content-form du premier */
}
.button-container {
  display: flex; 
  gap: 10px; /* Espace entre les boutons */
}
.btn {
  background-color: #337ab7;
  color: #fff;
  padding: 10px;
  border: none;
  border-radius: 4px;
  cursor: pointer;
  width: 100%;
  font-size: 16px;
}

.btn:hover {
  background-color: #1a5f9b;
}

.AddBtn {
  padding: 10px 20px;
  border: none;
  border-radius: 5px;
  background-color: #337ab7;
  color: white;
  cursor: pointer;
  display: flex;
  align-items: center; /* Pour centrer l'icône verticalement */
}

.AddBtn .fas {
  margin-right: 5px; /* Espace entre l'icône et le texte */
}

.AddBtn:hover {
    background-color: #1a5f9b;
}

.forgot-password {
    text-align: center;
    margin-top: 10px;
}
.forgot-password a{
    text-decoration: none;
    color: #337ab7;
}
.forgot-password a:hover{
    color: #1a5f9b;
    text-decoration:underline;
}
.create-account {
    text-align: center;
    margin-top: 10px;
}
.create-account a{
    text-decoration: none;
    color: #3379b7;
}
.create-account a:hover{
    color: #1a5f9b;
    text-decoration: underline;
}
.contact-info {
    margin-top: 20px;
    text-align: center;
}

.contact-info a {
    display: block;
    margin-bottom: 10px;
    color: #333;
    text-decoration: none;
}
.contact-info a:hover{
    color: #000;
    font-weight: bold;
}
.link-icon a{
  text-decoration: none;
}
.content-Sup {
  display: flex;
  flex-wrap: wrap;
  flex-direction: column;
  margin-bottom: 20px;

}
.form h4{
  font-size: 18px;
}
.form-row {
  display: flex;
 
  justify-content: space-around;
}

.form-Sup {
  flex: 1;
  margin-right: 10px;
  width: 40%;
  padding: 10px;
}

.form-Sup:last-child {
  margin-right: 0;
}
@media screen and (min-width: 150px) and (max-width: 400px){
	.container {
        background-color: #fff;
        box-shadow: 0 0 40px rgba(0, 0, 0, 0.8);
        padding: 20px;
        justify-content: center;
        align-items: center;
        border-radius: 8px;
        margin-left: 2%;
        width: 100%;
        max-width: 83%;
    }
}
@media screen and (min-width: 150px) and (max-width: 360px){
  .form{
    padding: 5px;
  }
  .form h3{
    padding: 0px;
    border: none;
    color: #000;
    background-color: #fff;
    box-shadow: 0 0 0px #82c4ff;
  }
  .form-info{
    width: 100%;

  }
  .container-page .content-form {
    display: flex;
    flex-wrap: wrap;
  }
}
@media screen and (min-width: 360px) and (max-width: 600px){
  .form-info{
    width: 100%;

  }
  .container-page .content-form {
    display: flex;
    flex-wrap: wrap;
  }
	
}
@media screen and (min-width: 400px) and (max-width: 1200px){
	.container {
        background-color: #fff;
        box-shadow: 0 0 40px rgba(0, 0, 0, 0.8);
        padding: 20px;
        justify-content: center;
        align-items: center;
        border-radius: 8px;
        margin-left: 12%;
        width: 100%;
        max-width: 70%;
    }
}
/********** FIN CSS DES FORMULAIRES **********/


/********** CSS  TABLEAU *********/
.container-table{
  padding: 10px;
}
.scroll-table{
  max-height: 320px; /* Définissez la hauteur maximale selon vos besoins */
  overflow: auto;
}
.header-table{
  background-color: #337ab7;
  padding: 0;
  box-shadow: 0 0 20px rgba(0, 0, 0, 0.8);
  margin: 0;
}
.container-page .content-table {
  display: flex;
  max-width: 100%;
  padding-left: 10px;
  padding-right: 10px;
}
.count{
  text-align: center;
  color: #fff;
  font-size: 16px;
}
.BtnTable{
  background-color: #fff;
    color: #000;
    padding: 10px;
    border: none;
    margin-top: 5px;
    border-radius: 4px;
    font-weight: bold;
    cursor: pointer;
    width: 140px;
    font-size: 14px;
}
.BtnTable:hover {
  background-color: #807b7b;
  color: #fff;
}

.PhotoUser{
  width: 90px;
  height: 60px;
  border-radius: 5%;
}
table {
  width: 100%;
  border-collapse: collapse;
  background-color: #fff;
  box-shadow: 0 0 20px rgba(0, 0, 0, 0.8);
}
th, td {
  padding: 5px;
  text-align: center;

}
td{
  border: 1px solid #ddd;
}
tr:nth-child(even){
  background-color: #dfdbdb;
}
th{
  background-color: #337ab7;
  color: #fff;
  cursor: pointer;
}
th:hover{
  background-color: #006cca;
}
#iconP{
  color: #fff;
  font-weight: bold;
}
#icon{
  color: #000;
}
 /* Style pour la liste déroulante */
 .nav-dropdown {
  display: inline-block;
}

.nav-dropbtn {
  text-decoration: none;
  display: block;
}

.nav-dropdown-content {
 display: none;
 position: fixed;
  background-color: #90b9dd;
  min-width: 10px;
  box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2);
  z-index: 1;
}
.btn-action{
  color: #fff;
  background-color: #006cca;
  border: none;
  padding: 4px;
  width: 50px;
  border-radius: 5px;
}
.btn-action:hover{
  background-color: #1a5f9b;
}
.nav-dropdown-content a {
  padding: 3px 6px;
  display: block;
  text-decoration: none;
}

.nav-dropdown:hover .nav-dropdown-content {
  display: block;
}
.nav-dropdown-content a:hover{
  background-color: #c7c6c6;
}

/************ CSS LOGOS ********/
.content-logo{
  display: grid;
  
  width: 100%;
  align-items: center;
  justify-content: center;
}
.content-title{
    display: grid;
    width: 100%;
    align-items: center;
    justify-content: center;
    margin: 10px;
    box-shadow: 0 4px 4px 0 rgba(0,0,0,0.2);
  }
  .content-title h2{
    font-size: 28px;
    
  }
.logo{
  width: 180px;
  justify-content: center;
}
.infoU{
  width: 100%;
  text-align: center;
}

/********************* CSS POUR LA PAGINATION DU TABLEAU *******/
.pagination {
  text-align: center;
  margin-top: 10px;
}

.pagination button {
  padding: 5px 10px;
  margin: 0 5px;
  cursor: pointer;
  border: none;
  background-color: #7e7c7c;
  color: #fff;
  border-radius: 5px;
  font-weight: bold;
}
.pagination button:hover {
  border: none;
  background-color: #999595;
  font-weight: bold;
  color: #000;
}
.pagination span {
  font-weight: bold;
}
/*CSS DE LA ZONE REPETITIVE*/

body {
  font-family: Arial, sans-serif;
}

.search-bar {
  display: flex;
  justify-content: flex-start;
  margin-bottom: 20px;
}

.search-bar input {
  padding: 10px;
  border: 1px solid #ccc;
  border-radius: 5px;
}

.zones-container {
  display: flex;
  flex-direction: column; /* Alignement vertical des zones */
  gap: 20px; /* Espacement entre les zones */
}

.zone-repetitive {
  display: flex;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.8);
  align-items: center;
  justify-content: space-between;
  padding: 5px;
  border: 1px solid #ccc;
  border-radius: 5px;
  background-color: #fff;
}

.zone-photo {
  width: 120px;
  height: 100px;
  border-radius: 10%; /* Forme ronde */
}

.zone-texte-et-liens {
  display: flex;
  flex-direction: column;
  align-items: center;
  flex: 1;
}

.zone-texte {
  margin-bottom: 10px;
  font-size: 18px;
  font-weight: bold;
}

.zone-liens-verticaux {
  display: flex;
  flex-direction: column;
}

.zone-liens-verticaux a {
  text-decoration: none;
  color: #007bff;
  padding: 10px;
  border-radius: 5px;
  background-color: #f0f0f0;
  margin-bottom: 5px;
}

.zone-liens-verticaux a:hover {
  background-color: #e0e0e0;
}

.dropdown {
  position: relative; /* Nécessaire pour positionner correctement la liste déroulante */
}

.dropdown-button {
  padding: 10px;
  border-radius: 5px;
  background-color: #007bff;
  color: white;
  border: none;
  cursor: pointer;
}
.dropdown ul{
 width: 250px;
 background-color: #7e7c7c;
}
.dropdown-content {
  display: none;
  position: absolute;
  top: 100%;
  right: 0;
  background-color: blanc;
  border: 1px solid #ccc;
  border-radius: 5px;
  list-style-type: none;
  padding: 10px;
}

.dropdown-content li {
  padding: 5px 10px;
}

.dropdown-content li a {
  text-decoration: none;
  color: #fff;

}

.dropdown-content li a:hover {
  background-color: #006cca9f;
  padding: 10px;
}
